Summary: The VideoLAN client, also used to play DVDs standalone.
Name: videolan-client
Version: 0.2.83
Release: fr1
Serial: 2
Group: Applications/Multimedia
Copyright: GPL
URL: http://www.videolan.org/
Source0: http://www.videolan.org/pub/videolan/vlc/vlc-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
BuildArch: i686
# You're on your own for binary deps, but to build, you need everything!
AutoReqProv: no
BuildRequires: qt-devel, gtk+-devel, gnome-core-devel, SDL-devel, aalib-devel
BuildRequires: svgalib-devel, libgii-devel, libggi-devel, XFree86-devel

%description
The vlc is part of the VideoLAN project, a full MPEG2 client/server
solution. The VideoLAN Client can also be used as a standalone program
to play MPEG2 streams from a hard disk or a DVD.

%prep
%setup -q -n vlc-%{version}

%build
export QTDIR="/usr/lib/qt-2.3.0"
%configure \
	--with-sdl \
	--with-ggi \
	--enable-esd \
	--enable-fb \
	--enable-mga \
	--enable-gnome \
	--enable-gtk \
	--enable-qt \
	--enable-xvideo
make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/videolan.desktop << EOF
[Desktop Entry]
Name=VideoLAN
Comment=%{summary}
Icon=%{_datadir}/videolan/vlc.xpm
Exec=vlc
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog AUTHORS COPYING INSTALL README TODO doc
%{_sysconfdir}/X11/applnk/Multimedia/videolan.desktop
%{_bindir}/*vlc
%{_includedir}/videolan
%{_libdir}/libdvdcss.*
%{_libdir}/videolan
%{_datadir}/videolan

%changelog
* Mon Aug 27 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.83.

* Sat Aug 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.82.

* Mon Jul 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.81.
- Added all the new split libdvdcss.* files to the %%files section.

* Tue Jun  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to the latest release, 0.2.80.

* Wed May 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to today's CVS version, works great! :-)
- Fixed the desktop menu entry.

* Tue May 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup to make it look more like others do.
- Added the use of many macros.
- Disabled automatic requires and provides (the package always needed qt,
  gtk+, gnome etc. otherwise).
- Added a system desktop menu entry.

* Mon Apr 30 2001 Arnaud Gomes-do-Vale <arnaud@glou.org>
Added relocation support and compile fixes for Red Hat 7.x.

* Sat Apr 28 2001 Henri Fallon <henri@videolan.org>
New upstream release (0.2.73)

* Mon Apr 16 2001 Samuel Hocevar <sam@zoy.org>
New upstream release (0.2.72)

* Fri Apr 13 2001 Samuel Hocevar <sam@zoy.org>
New upstream release (0.2.71)

* Sun Apr 8 2001 Christophe Massiot <massiot@via.ecp.fr>
New upstream release (0.2.70)

* Fri Feb 16 2001 Samuel Hocevar <sam@via.ecp.fr>
New upstream release

* Tue Aug  8 2000 Samuel Hocevar <sam@via.ecp.fr>
Added framebuffer support

* Sun Jun 18 2000 Samuel Hocevar <sam@via.ecp.fr>
Took over the package

* Thu Jun 15 2000 Eric Doutreleau <Eric.Doutreleau@int-evry.fr>
Initial package
